summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'mail-filter/spamassassin/spamassassin-3.4.5.ebuild')
-rw-r--r--mail-filter/spamassassin/spamassassin-3.4.5.ebuild7
1 files changed, 7 insertions, 0 deletions
diff --git a/mail-filter/spamassassin/spamassassin-3.4.5.ebuild b/mail-filter/spamassassin/spamassassin-3.4.5.ebuild
index 562694ddd4c..732579b8757 100644
--- a/mail-filter/spamassassin/spamassassin-3.4.5.ebuild
+++ b/mail-filter/spamassassin/spamassassin-3.4.5.ebuild
@@ -107,6 +107,13 @@ src_prepare() {
# workaround.
perl_rm_files t/spamc_*.t
+ # Some tests need extra dependencies
+ # e.g. t/sql_based_whitelist.t needs DBD
+ # This is kinder than REQUIRED_USE for tests which hurts automation
+ if ! use mysql && ! use postgres && ! use sqlite ; then
+ perl_rm_files t/sql_based_whitelist.t
+ fi
+
# Disable plugin by default
sed -i -e 's/^loadplugin/\#loadplugin/g' \
"rules/init.pre" \